---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfmodw003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x501F0, symBinAddr: 0xC390, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52130, symBinAddr: 0xE2D0, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52520, symBinAddr: 0xE6C0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x534C0, symBinAddr: 0xF660, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x534D0, symBinAddr: 0xF670, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FD10, symBinAddr: 0xC0F0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FD14, symBinAddr: 0xC0F4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FD18, symBinAddr: 0xC0F8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FE70, symBinAddr: 0xC100, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FF28, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FF2C, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FF30, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FF34, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FF38, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FF40, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FF58, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FF60, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FF68, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FF70, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FF78, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FFBA, symBinAddr: 0xC21A, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x4FFC0, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL10actual_sig, symObjAddr: 0x4FFC8, symBinAddr: 0xC228, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL10actual_val, symObjAddr: 0x4FFCC, symBinAddr: 0xC22C, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FFD0, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FFD8, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x9171, offset: 0x9171, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4FFE8, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x918A, offset: 0x918A, size: 0x8, addend: 0x0, symName: __ZL4flds, symObjAddr: 0xDDB0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x91FC, offset: 0x91FC, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50120, symBinAddr: 0xC380, symSize: 0x0 }
  - { offsetInCU: 0x9255, offset: 0x9255, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4640, symSize: 0x80 }
  - { offsetInCU: 0x92EA, offset: 0x92EA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4590, symSize: 0xB0 }
  - { offsetInCU: 0x9345, offset: 0x9345, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4490, symSize: 0x100 }
  - { offsetInCU: 0x95D8, offset: 0x95D8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x46C0, symSize: 0x220 }
  - { offsetInCU: 0x97BD, offset: 0x97BD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x48E0, symSize: 0xA0 }
  - { offsetInCU: 0x9870, offset: 0x9870, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4980, symSize: 0x110 }
  - { offsetInCU: 0x9966, offset: 0x9966, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4A90, symSize: 0x150 }
  - { offsetInCU: 0x9A97, offset: 0x9A97, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4BE0, symSize: 0x30 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4C10, symSize: 0x150 }
  - { offsetInCU: 0x9D50, offset: 0x9D50, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4D60, symSize: 0x160 }
  - { offsetInCU: 0x9EDC, offset: 0x9EDC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4EC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0F7, offset: 0xA0F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5070, symSize: 0xA0 }
  - { offsetInCU: 0xA1C6, offset: 0xA1C6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5110, symSize: 0x20 }
  - { offsetInCU: 0xA1FD, offset: 0xA1FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5130, symSize: 0x20 }
  - { offsetInCU: 0xA234, offset: 0xA234, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5150, symSize: 0x20 }
  - { offsetInCU: 0xA3A3, offset: 0xA3A3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5170, symSize: 0x1A0 }
  - { offsetInCU: 0xA6C9, offset: 0xA6C9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5310, symSize: 0x80 }
  - { offsetInCU: 0xA792, offset: 0xA792, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5390, symSize: 0x6A0 }
  - { offsetInCU: 0xB327, offset: 0xB327, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA040, symBinAddr: 0x6560, symSize: 0xB0 }
  - { offsetInCU: 0xB39E, offset: 0xB39E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5A30, symSize: 0x70 }
  - { offsetInCU: 0xB45A, offset: 0xB45A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5AA0, symSize: 0xA0 }
  - { offsetInCU: 0xB585, offset: 0xB585, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5B40, symSize: 0x40 }
  - { offsetInCU: 0xB67B, offset: 0xB67B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5B80, symSize: 0x2B0 }
  - { offsetInCU: 0xBA21, offset: 0xBA21, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5E30, symSize: 0xC0 }
  - { offsetInCU: 0xBB67, offset: 0xBB67, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5EF0, symSize: 0x10 }
  - { offsetInCU: 0xBC29, offset: 0xBC29, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5F00, symSize: 0x220 }
  - { offsetInCU: 0xBF26, offset: 0xBF26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6120, symSize: 0x10 }
  - { offsetInCU: 0xBF83, offset: 0xBF83, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6130, symSize: 0x150 }
  - { offsetInCU: 0xC150, offset: 0xC150, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x6280, symSize: 0x10 }
  - { offsetInCU: 0xC1AD, offset: 0xC1AD, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0x9D70, symBinAddr: 0x6290, symSize: 0x70 }
  - { offsetInCU: 0xC267, offset: 0xC267, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw003_getReady, symObjAddr: 0x9DE0, symBinAddr: 0x6300, symSize: 0x160 }
  - { offsetInCU: 0xC378, offset: 0xC378, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw003_check, symObjAddr: 0x9F40, symBinAddr: 0x6460, symSize: 0xF0 }
  - { offsetInCU: 0xC3BB, offset: 0xC3BB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw003_getRes, symObjAddr: 0xA030, symBinAddr: 0x6550, symSize: 0x10 }
  - { offsetInCU: 0xC3F0, offset: 0xC3F0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0F0, symBinAddr: 0x6610, symSize: 0x36A }
...
